Subject: Re: [PATCH 1/7] powerpc: Add interface to get msi region information

From: "[email-masked]" <[email-masked]>
Date: Tue, 8 Oct 2013 19:02:28 +0200

On Tue, Oct 08, 2013 at 10:47:49AM -0600, Bjorn Helgaas wrote:
> I still have no idea what an "aperture type IOMMU" is,
> other than that it is "different."

An aperture based IOMMU is basically any GART-like IOMMU which can only
remap a small window (the aperture) of the DMA address space. DMA
outside of that window is either blocked completly or passed through
untranslated.

	Joerg